function main() {
  let dip_ip = document.getElementById("dip_ip");
  let dip_hostname = document.getElementById("dip_hostname");
  let dip_city = document.getElementById("dip_city");
  let dip_as_number = document.getElementById("dip_as_number");
  let dip_as_org = document.getElementById("dip_as_org");

  var ip = "";
  if (window.location.pathname.length > 4) {
    ip = window.location.pathname.split("/")[1];
    console.log(ip);
  }

  fetch(`/json/${ip}`).then((response) => {
    response.json().then((res) => {
      dip_ip.innerHTML = res["ip"];
      dip_hostname.innerHTML = res["hostname"];
      dip_city.innerHTML = res["city"];
      dip_as_number.innerHTML = res["as"]["number"];
      dip_as_org.innerHTML = res["as"]["org"];
    });
  });
}

main();
